sound.h File Reference
`#include <ptlib/plugin.h>`
`#include <ptlib/pluginmgr.h>`

Go to the source code of this file.

## Classes

class | PSound
| A class representing a sound. More...
class | PSoundChannel
| Abstract class for a generalised sound channel, and an implementation of PSoundChannel for old code that is not plugin-aware. More...
class | PSoundChannelPluginServiceDescriptor< className >

## Macros

#define | PCREATE_SOUND_PLUGIN(name, className)

## Macro Definition Documentation

#define PCREATE_SOUND_PLUGIN | ( |  | name,
|  |  | className
| ) |  |

Value:
static PSoundChannelPluginServiceDescriptor<className> className##_descriptor; \
PCREATE_PLUGIN(name, PSoundChannel, &className##_descriptor)
PSoundChannel
Abstract class for a generalised sound channel, and an implementation of PSoundChannel for old code t...
Definition: sound.h:251
PSoundChannelPluginServiceDescriptor
Definition: sound.h:784
PCREATE_PLUGIN
#define PCREATE_PLUGIN(serviceName, serviceType, descriptor)
Definition: plugin.h:237